svn::DirEntry Class Reference

`#include <dirent.hpp>`

## Public Member Functions

| DirEntry ()
| DirEntry (const char *name, svn_dirent_t *dirEntry)
| DirEntry (const DirEntry &src)
| ~DirEntry ()
DirEntry & | operator= (const DirEntry &)
const char * | name () const
svn_node_kind_t | kind () const
svn_filesize_t | size () const
bool | hasProps () const
svn_revnum_t | createdRev () const
apr_time_t | time () const
const char * | lastAuthor () const

## Constructor & Destructor Documentation

svn::DirEntry::DirEntry | ( |  | ) |

default constructor

svn::DirEntry::DirEntry | ( | const char * | name,
|  | svn_dirent_t * | dirEntry
| ) |  |

constructor for existing svn_dirent_t entries

svn::DirEntry::DirEntry | ( | const DirEntry & | src | ) |

copy constructor

svn::DirEntry::~DirEntry | ( |  | ) |

destructor

## Member Function Documentation

svn_revnum_t svn::DirEntry::createdRev | ( |  | ) | const

bool svn::DirEntry::hasProps | ( |  | ) | const

svn_node_kind_t svn::DirEntry::kind | ( |  | ) | const

const char* svn::DirEntry::lastAuthor | ( |  | ) | const

const char* svn::DirEntry::name | ( |  | ) | const

DirEntry& svn::DirEntry::operator= | ( | const DirEntry & |  | ) |

assignment operator

svn_filesize_t svn::DirEntry::size | ( |  | ) | const

apr_time_t svn::DirEntry::time | ( |  | ) | const

The documentation for this class was generated from the following file:

- dirent.hpp